#22 Use FFI on IA64 on Linux (kernel 2.6.16+ and gcc 4.1.0+)

closed-out-of-date
Sam Steingold
None
5
2008-01-27
2006-07-26
Dr. Werner Fink
No

Use FFI on IA64 on Linux with kernel 2.6.16 and higher
together with gcc 4.1.0 and higher. The patch modifies
the files ffcall/avcall/avcall.h.in and
ffcall/callback/vacall_r/vacall_r.h.in to support
gcc 4.1.0. The modification of ffcall/avcall/avcall-ia64.s
was simply done by running gcc as described in the
file ffcall/avcall/avcall-ia64.c.

Authors are Andreas Schwab <schwab@suse.de>,
Andreas Jaeger <aj@suse.de>
Werner Fink <werner@suse.de>

Discussion

  • clisp-2.39-ia64.dif.bz2

     
  • Sam Steingold
    Sam Steingold
    2006-07-26

    • assigned_to: nobody --> haible
     
  • Sam Steingold
    Sam Steingold
    2008-01-27

    • assigned_to: haible --> sds
    • status: open --> closed-out-of-date